X509_SIGNATURE_DUMP(3)

NAME
X509_signature_dump, X509_signature_print - pretty-print ASN.1 strings

SYNOPSIS
libcrypto
#include <openssl/x509.h>
int
X509_signature_dump(BIO *bio, const ASN1_STRING *signature, int indent);
int
X509_signature_print(BIO *bio, const X509_ALGOR *algorithm, const ASN1_STRING *signature);

DESCRIPTION
X509_signature_dump() writes the data bytes contained in the signature to bio in hexadecimal format with colons between bytes, 18 bytes per output line, each line indented with indent space characters.

X509_signature_print() writes the name of the signature algorithm, or, if no name for it is known, its object identifier (OID) to bio using i2a_ASN1_OBJECT(3). After that, if a method object for the algorithm can be retrieved with EVP_PKEY_asn1_find(3) and if that object defines a printing method, that printing method is used to print the signature. Otherwise, unless the signature is NULL, it is printed using X509_signature_dump().

RETURN VALUES
These functions return 1 on success or 0 on failure. They fail and return as soon as any write operation fails.

SEE ALSO
ASN1_STRING_new(3), ASN1_STRING_print_ex(3), BIO_new(3), EVP_PKEY_asn1_find(3), OBJ_find_sigid_algs(3), X509_ALGOR_new(3), X509_get0_signature(3)

HISTORY
X509_signature_print() first appeared in OpenSSL 0.9.7 and has been available since OpenBSD 3.2.

X509_signature_dump() first appeared in OpenSSL 1.0.1 and has been available since OpenBSD 5.3.